Skip to main content
GET
Estimate board fee

Authorizations

Authorization
string
header
required

Base64url-encoded auth token

Query Parameters

amount_sat
integer<int64>
required

The amount in satoshis to board

Required range: x >= 0

Response

Returns the fee estimate

A fee estimate for an Ark wallet operation.

fee_sat
integer<int64>
required

The fee portion (in satoshis)

Required range: x >= 0
gross_amount_sat
integer<int64>
required

The total amount including fees (in satoshis)

Required range: x >= 0
net_amount_sat
integer<int64>
required

The amount excluding fees (in satoshis). For sends, this is the amount the recipient receives. For receives, this is the amount the user gets.

Required range: x >= 0
vtxos_spent
string[]
required

The VTXOs that would be spent for this operation